--- title: "Get the Device Software Available in the Server" slug: "get-the-device-software-available-in-the-server-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:21Z published: 2026-11-19T12:57:21Z canonical: "docs.trellix.com/get-the-device-software-available-in-the-server-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the Device Software Available in the Server This URL gets the device software available in the server. ### Resource URL GET /devicesoftware/versions ### Request Parameters None ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `downloadedVersions` | Device software present in the Manager | Array | | `availableVersions` | Device software available in the server for download | Array | Details of objects under downloadedVersions: | Field Name | Description | Data Type | | --- | --- | --- | | `model` | Sensor model | String | | `versions` | List of downloaded versions | Array | Details of objects under availableVersions: | Field Name | Description | Data Type | | --- | --- | --- | | `model` | Sensor model | String | | `versions` | List of downloaded versions | Array | Details of objects under versions of availableVersions: | Field Name | Description | Data Type | | --- | --- | --- | | `version` | Version number | String | | `releaseDate` | Release date | String | | `fileSize` | Size of the file | String | | `isFIPSCompliant` | Is the image FIPS compliant | Boolean | ### Example **Request** GET [https:///sdkapi/devicesoftware/versions](https://<NSM_IP>/sdkapi/botnetdetectors/version) **Response** ``` { "downloadedVersions": [ { "model": "IPS-NS5100", "versions": [ "10.1.5.75" ] }, { "model": "IPS-NS9200", "versions": [ "10.1.5.75" ] } ], "availableVersions": [ { "model": "M-8000", "versions": [ { “version”: “9.1.3.18”, “releaseDate”: “10-Oct-2020”, “fileSize”: “59.79 MB”, “isFIPSCompliant”: false }… ] },…. } ``` ### Error Information Following error code is returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 1001 | internal error |